aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.local/share/bin/caffeine10
-rwxr-xr-x.local/share/bin/ffmpeg-resize2
-rwxr-xr-x.local/share/bin/lock4
3 files changed, 11 insertions, 5 deletions
diff --git a/.local/share/bin/caffeine b/.local/share/bin/caffeine
index eced861..9901426 100755
--- a/.local/share/bin/caffeine
+++ b/.local/share/bin/caffeine
@@ -1,4 +1,8 @@
#!/bin/sh
-xset -dpms
-xset s off
-
+xset s off -dpms
+reset() {
+ trap - EXIT
+ xset s default
+}
+trap reset INT
+sleep infinity
diff --git a/.local/share/bin/ffmpeg-resize b/.local/share/bin/ffmpeg-resize
index d8057ae..4270278 100755
--- a/.local/share/bin/ffmpeg-resize
+++ b/.local/share/bin/ffmpeg-resize
@@ -79,4 +79,4 @@ ffmpeg \
-pass 2 \
-c:a aac \
-b:a "$T_ARATE"k \
- $T_FILE
+ "$T_FILE"
diff --git a/.local/share/bin/lock b/.local/share/bin/lock
index e25ea04..d87b6e3 100755
--- a/.local/share/bin/lock
+++ b/.local/share/bin/lock
@@ -1,2 +1,4 @@
#!/bin/sh
-exec slock
+xset s 5 5
+slock
+xset s default